RSAPublicKey (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.eac

## Class RSAPublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.eac.PublicKeyDataObject
    - - org.bouncycastle.asn1.eac.RSAPublicKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class RSAPublicKey
      extends PublicKeyDataObject

  an Iso7816RSAPublicKeyStructure structure.

        Certificate Holder Authorization ::= SEQUENCE {
            // modulus should be at least 1024bit and a multiple of 512.
            DERTaggedObject        modulus,
            // access rights    exponent
            DERTaggedObject    accessRights,
        }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAPublicKey(ASN1ObjectIdentifier usage, java.math.BigInteger modulus, java.math.BigInteger exponent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getModulus()`
    `java.math.BigInteger` | `getPublicExponent()`
    `ASN1ObjectIdentifier` | `getUsage()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.eac.PublicKeyDataObject

      `getInstance`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSAPublicKey

          public RSAPublicKey(ASN1ObjectIdentifier usage,
                              java.math.BigInteger modulus,
                              java.math.BigInteger exponent)

  - ### Method Detail

    - #### getUsage

          public ASN1ObjectIdentifier getUsage()

      Specified by:
        `getUsage` in class `PublicKeyDataObject`

    - #### getModulus

          public java.math.BigInteger getModulus()

    - #### getPublicExponent

          public java.math.BigInteger getPublicExponent()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.